package Testate.Stream;

public class Transaction {
	private Account sender, receiver;
	private double amount;
	private String currency;
	private String recCountry;
	
	public Transaction(Account sender, Account receiver, double amount, String currency, String recCountry) {
		super();
		this.sender = sender;
		this.receiver = receiver;
		this.amount = amount;
		this.currency = currency;
		this.recCountry = recCountry;
	}
	
	public Account getSender() {
		return sender;
	}
	public Account getReceiver() {
		return receiver;
	}
	public double getAmount() {
		return amount;
	}
	public String getCurrency() {
		return currency;
	}
	public String getRecCountry() {
		return recCountry;
	}

	@Override
	public String toString() {
		return "Transaction [sender=" + sender + ", receiver=" + receiver + ", amount=" + amount + ", currency="
				+ currency + ", recCountry=" + recCountry + "]";
	}	
	
	
}

class Account {
	private String name;
	private String number;
	
	public Account(String name, String number) {
		super();
		this.name = name;
		this.number = number;
	}

	public String getName() {
		return name;
	}

	public String getNumber() {
		return number;
	}

	@Override
	public String toString() {
		return "Account [name=" + name + ", number=" + number + "]";
	}
	
	
}